#ifndef _PYTHOONG_GRAPHICS_H_
#define _PYTHOONG_GRAPHICS_H_
/*
 *  Pythoong 
 * (C) 2000 christophe cressend
 *
 * 
 */
//#include <sys/types.h>
//#include <string.h>
//#include <stdlib.h>
//#include <time.h>
//#include <dirent.h>
//
#include <config.h>
#include <gnome.h>
#include <gdk_imlib.h>
#include "pythoong_def.h"
#include "prefs.h"
// Structs

typedef struct 
{
     GtkWidget *app;
     GtkWidget *widget;
}
PythGC;

// Functions.

void  PytGraphics_init_graphics();
PythGC * PytGraphics_CreatePythGC(GtkWidget* app,GtkWidget  *win);
void     PytGraphics_FreePythGC(PythGC* graphs);
void     PytGraphics_flush();
gboolean PytGraphics_load_graphics(PythGC* graphs,Prefs* prefs);
gboolean PytGraphics_free();
void PytGraphics_put_banner();
void PytGraphics_draw_tile(gint tile,
                 gint  x,
                 gint  y,
	         PythGC* graphs);
void PytGraphics_draw_tile_true(gint tile,
	       gint  x,
	       gint  y,
	       PythGC* graphs);
void PytGraphics_put_title(PythGC* graphs);
void PytGraphics_clear_win(PythGC* graphs);

gboolean PytGraphics_load_maze_image(gchar* filename);
gboolean PytGraphics_load_snake(PythGC* graphs,gchar* pix);
gint PytGraphics_get_maze(gint x,gint y);
void PytGraphics_send_buf(PythGC* graphs);
void PytGraphics_send_local_buf(PythGC* graphs,gint x,gint y,gint width,gint height);
void PytGraphics_calc_collision(gint tilehead,gint tilebody,PythGC* graphs);
#endif // _PYTHOONG_GRAPHICS_H_
