#ifndef _PYTHOONG_MAZE_H_
#define _PYTHOONG_MAZE_H_
/*
 *  Pythoong 
 * (C) 2000 christophe cressend
 *
 * 
 */

#include "graphics.h"
#include "pythoong_def.h"

typedef struct _Maze
{
     gint walls[GAME_SIZE_TILE_X][GAME_SIZE_TILE_Y];
     gint pills[GAME_SIZE_TILE_X][GAME_SIZE_TILE_Y];;
     gint rem_pills;
     gint level;
}
Maze;


gboolean PytMaze_init(gint level,Maze* oMaze);
gboolean PytMaze_is_wall(Maze* maze,gint x,gint y);
gboolean PytMaze_is_pill(Maze* maze,gint x,gint y);
gboolean PytMaze_eat_pill(Maze* maze,gint x,gint y);
void PytMaze_draw_maze(Maze* iMaze,PythGC* graphs);
void PytMaze_draw_pills(Maze* iMaze,PythGC* graphs);
void PytMaze_generate_pills(Maze * maze);
void PytMaze_clear_pill(Maze* maze,gint x,gint y);

#endif // _PYTHOONG_MAZE_H_
