#ifndef _PYTHOONG_H_
#define _PYTHOONG_H_
/*
 *  Pythoong 
 * (C) 2000 christophe cressend
 *
 * From the first implementation of Xpythoon xlib game.
 * 
 */
#include <sys/types.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <dirent.h>

#include <config.h>
#include <gnome.h>
#include <gdk_imlib.h>
#include "pythoong_def.h"

#include "snake.h"
#include "maze.h"
#include "prefs.h"

static const struct poptOption options[] = {
  {NULL, '\0', 0, NULL, 0}
};

void init_board(Snake* snake,Maze* maze,Prefs* prefs);
gint init_computer_mode(Snake* snake,Maze* maze,Prefs* prefs);
void reinit_speed();
void reinit_graphics();
#endif //_PYTHOONG_H_
